function correlogramme(x,N,M,f1,f2)

% x = signal alatoire
% N = nb du point du signal
% M = taille de la porte
% f1 et f2 = frquence ajoutes au signal

% On obtient l'entree de notre systeme, cad la sortie du filtre
% auquel on a ajoute les 2 sinusoides
sortie=entree(x,f1,f2);

% On fait notre estimation
correlo = blackman(sortie,M,N);

% Legende du graphique
xlabel('frequence');
titre=sprintf('N=%d M=%d',N,M);

% Construction de la transformee de Fourier de notre bruit blanc d'origine
freq=linspace(-0.5,0.5,length(correlo));

hf=zeros(size(freq));

% processus MA
b=[1 -2 0 2 -1];

for j=1:length(b)
   hf=hf+b(j)*exp(i*2*pi*freq*(j-1));
end;  

% On affiche
figure(1);
plot(freq,correlo,'b',freq,abs(hf).^2,'r');






