function periodogramme(x,N,M,f1,f2)

% x = signal alatoire
% N = nombre de points du signal
% M = taille de la fentre
% f1 et f2 = frquence ajoutes


% On obtient l'entree de notre systeme, cad la sortie du filtre
% auquel on a ajoute les 2 sinusoides
sortie=entree(x,f1,f2);


% On applique notre fenetre rectangulaire
avant_transfo = fenetre_rectangulaire(sortie,M);

% On fait notre transformee de Fourier
apres_transfo=fftshift(fft(avant_transfo,2*N));

% On calcule S
% S = (1/N) * abs ((apres_transfo).^2);
S = (1/M) * abs ((apres_transfo).^2);

% On affiche le resultat
freq=linspace(-0.5,0.5,2*N);
xlabel('frequence');
plot(freq,S);

% on affiche en mme temps la vraie courbe de densit spectrale
hold on;

hf=zeros(size(freq));

b=[1 -2 0 2 -1];

for j=1:length(b)
   hf=hf+b(j)*exp(i*2*pi*freq*(j-1));
end;  

% On affiche
figure(1);
plot(freq,abs(hf).^2,'r');


